(function($) {

    $.fn.unorphanize = function( gather ) {

        // if we haven't supplied a number for the number
        // of words to join the orphan, or we supplied
        // it wrong, make it 1.
        if( typeof( gather ) !== "number" ) {
            gather =  1;
        }

        // make it chain-able
        return $(this).each( function() {

            var $el = $(this), htmlEls = [],
            text, els, i, lastIndex, lngth, replaceRegex;

            // "text" is going to be our "goto-girl" for string manipulation
            text = $el.html();

            // grab any html tags like a,strong,em
            els = text.match(/<([A-Z][A-Z0-9]*)\b[^>]*>/gi);
            lngth = ( els !== null ) ? els.length : 0;

            // each time we match a html element opening tag (eg: <a href="">), 
            // save it into array and replace it with a placeholder like: "__n__";
            for( i = 0; i < lngth; i++ ) {
                htmlEls.push( els[i] );
                text = text.replace( els[i] , "__"+i+"__");
            }

            // now we find the given number of gathered words, and then insert a 
            // non-breaking-space (&nbsp;) in to the given number of spaces.
            for( i = 0; i < gather; i++ ) {
                lastIndex = text.lastIndexOf(" ");
                if( lastIndex > 0 ) {
                    text = text.substring(0, lastIndex) + "&nbsp;" + text.substring(lastIndex + 1);
                }
            }
            // now we have put the non-breaking-spaces in, we must replace the 
            // placeholders with the original html elements we stored earlier.
            for( i = 0; i < lngth; i++ ) {
                replaceRegex = new RegExp("__"+i+"__");
                text = text.replace( replaceRegex , htmlEls[i] );
            }

            // and finally replace the html with the sparkly new text string.
            $el.html( text );

        });

    };

}(jQuery));









jQuery(document).ready(function($) {

		/*
		Scroll Header
	*/	
	$(window).scroll(function(){
	  var 	sticky 		= $('header#header'),
	  		wrapper 	= $('#wrapper'),
	  		scroll	 	= $(window).scrollTop();
	
	 if (scroll >= 1) {
	  	wrapper.addClass('scrolled');
	  } else {
	  	wrapper.removeClass('scrolled');
	  }
	});
	
	
	
	
	/*
		Menus
	*/
	headerHeader 		= $('header#header');
	outerWrapper 		= $('#wrapper');
	
	$(document).ready(function(){
		$('#nav-menu button').click(function(){
			$(this).toggleClass('open');
			$(outerWrapper).toggleClass('nav-active');
			headerHeader.toggleClass('active');
		});

		$('nav#nav-main a').click(function(){
			$(outerWrapper).removeClass('nav-active');
			headerHeader.removeClass('active');
		});
	});
	
	
	

	/* 
		Visual Effects
	*/
	
	$(".no-runt").unorphanize(2);
	$(".section__about p").unorphanize(2);
	
	
	
	/*
		Soft Scroll
	*/
	$('a[href*="#"]')
	  .not('[href="#"]')
	  .not('[href="#0"]')
	  .click(function(event) {
	    if (
	      location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') 
	      && 
	      location.hostname == this.hostname
	    ) {
	      var target = $(this.hash);
	      target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
	      if (target.length) {
	        event.preventDefault();
	        $('html, body').animate({
	          scrollTop: target.offset().top
	        }, 1000, function() {
	          var $target = $(target);
	          $target.focus();
	          if ($target.is(":focus")) {
	            return false;
	          } else {
	            $target.attr('tabindex','-1');
	            $target.focus();
	          };
	        });
	      }
	    }
	  });
	


	
	/* =============
	   STATS COUNTER 
	   ============= */
	
	/* Stat Counter */
	$('.stats-list, .data-grid').waypoint(function() {
		
		$('.counter').each(function() {
			var $this = $(this),
				countTo = $this.attr('data-count');
			$({
				countNum: $this.text()
			}).animate({
				countNum: countTo
			},
			{
				duration: 2000,
				easing: 'linear',
				step: function () {
					$this.text(Math.floor(this.countNum));
				},
					complete: function () {
					$this.text(this.countNum);
				}
			});
		});
		
	}, { offset: '70%' })
	



	/*
		Sliders
	*/


	var	sliderClientLogos	  		= $('.client-logos');
	
	
	$(window).on('resize orientationchange', function() {
		$(sliderClientLogos).slick('resize');
	});
	
	
		
	/* Client Logos */	
	$(sliderClientLogos).slick({
		autoplay: true,
		accessibility: false,
		speed: 2000,
		autoplaySpeed:2000,
		mobileFirst: false,
		pauseOnHover:false,
		slidesToShow: 5,
		responsive: [
			{
				breakpoint: 1100,
				settings: {
					slidesToShow: 3,
					slidesToScroll: 3,
				}
			},
			{
				breakpoint: 500,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 2,
				}
			}
		]
	});	
		
		
});